var r = Object.defineProperty;
var i = (t, n) => r(t, "name", { value: n, configurable: !0 });
function x(t, n) {
  const f = t.lastIndexOf(`
`, n - 1) + 1;
  let e = t.indexOf(`
`, n);
  e === -1 && (e = t.length);
  const l = t.slice(f, e);
  return {
    from: f,
    to: e,
    text: l
  };
}
i(x, "getLineAtPosition");
export {
  x as getLineAtPosition
};
